#ifndef PackageTableOtherContextMenu_h
#define PackageTableOtherContextMenu_h

#include "PackageTableModel.h"
#include <QtGui/QMenu>
#include <QtGui/QWidget>
#include <QtGui/QAction>

namespace PackageTable {

   class OtherContextMenu : public QMenu {
      Q_OBJECT
   public:
      explicit OtherContextMenu(Model*    model,
                                QWidget*  parent);
   public:
      void  exec(QModelIndex    ix,
                 const QPoint&  pos);
   protected slots:
      void  handleDescribeAction();
      void  handleBrowseAction();
   protected:
      QAction*  describeAction;
      QAction*  browseAction;

      Model*       model;
      QWidget*     parent;
      QModelIndex  ix;
   };

};

#endif
