#ifndef stringmacros_h
#define stringmacros_h

#define STRLEN(str)  (sizeof(str) / sizeof(char) - 1)

#define IS_PREFIXED_BY_STATIC(str,by) \
   (strncmp((str), (by), STRLEN(by)) == 0)
#define IS_SUFFIXED_BY_STATIC(str,by) \
   (strcmp((str) + strlen(str) - STRLEN(by), (by)) == 0)

#endif
