#include "Fonts.h"
#include <QtCore/QObject>

extern QFont Fonts::makeHeader (const QFont&  p)
{
   QFont result = p;
   result.setFixedPitch(false);
   result.setFamily(QObject::tr("Helvetica"));
   result.setBold(true);
   if (result.pixelSize() != -1) {
      result.setPixelSize(result.pixelSize() * 3 / 2);
   } else if (result.pointSize() != -1) {
      result.setPointSize(result.pointSize() * 3 / 2);
   }
   return result;
}

extern QFont Fonts::makeFixed (const QFont&  p)
{
   QFont result = p;
   result.setFixedPitch(true);
   result.setFamily(QObject::tr("Courier"));
   return result;
}

extern QFont Fonts::makeBold (const QFont&  p)
{
   QFont result = p;
   result.setBold(true);
   return result;
}
