#include "HProgressBar.h"

HProgressBar::HProgressBar(QWidget*  parent)
   : QProgressBar(parent)
{
}

QString HProgressBar::text() const
{
   QString  qText = QProgressBar::text();
   if (!activity.isEmpty() && !qText.isEmpty()) {
      return tr("%1 (%2)").arg(activity).arg(qText);
   } else if (!activity.isEmpty()) {
      return activity;
   } else {
      return qText;
   }
}

void HProgressBar::setActivity(QString  activity)
{
   if (this->activity != activity) {
      this->activity = activity;
      update();
   }
}

void HProgressBar::reset()
{
   activity = QString();
   QProgressBar::reset();
}
