#ifndef HProgressBar_h
#define HProgressBar_h

#include <QtGui/QProgressBar>

// QProgressBar with this extension:
//    Displays the name of an activity along with the percentage

class HProgressBar : public QProgressBar {
public:
   explicit HProgressBar(QWidget*  parent = 0);
public:
   QString text() const;
   void setActivity(QString  activity);
public slots:
   void reset();
protected:
   QString activity;
};

#endif
