#ifndef ProgressMinion_h
#define ProgressMinion_h

#include <QtCore/QObject>
#include "HProgressBar.h"

// See Progress.h for details on the interface to this class.  It is the
// same that for class Progress.

class ProgressMinion : public QObject
{
   Q_OBJECT
public:
   explicit ProgressMinion(HProgressBar*  totalProgress,
                           HProgressBar*  itemProgress);
public:
   typedef unsigned long long  Steps;
public slots:
   void startTotal     (QString  activity,
                        Steps    totalTail);
   void startItem      (QString  activity,
                        Steps    totalValue,
                        Steps    itemTail);
   void changeItemActs (Steps    totalValue);
   void setItemValue   (Steps    totalValue,
                        Steps    value);
   void endItemActs    (Steps    totalValue);
   void setTotalValue  (Steps    value);
   void reset          ();
protected:
   HProgressBar*  totalProgress;
   HProgressBar*  itemProgress;
};

#endif
