#ifndef YumIODialogsMinion_h
#define YumIODialogsMinion_h

#include <QtCore/QObject>
#include <QtGui/QWidget>

class YumIODialogsMinion : public QObject
{
   Q_OBJECT
public:
   explicit YumIODialogsMinion(QWidget*  parent);
public slots:
   void  confirm    (const QString&  caption,
                     const QString&  text);
   void  warning    (const QString&  caption,
                     const QString&  text,
                     const QString&  button0Text         = QString(),
                     const QString&  button1Text         = QString(),
                     const QString&  button2Text         = QString(),
                     int             defaultButtonNumber = 0,
                     int             escapeButtonNumber  = -1);
   void  critical   (const QString&  caption,
                     const QString&  text,
                     const QString&  button0Text         = QString(),
                     const QString&  button1Text         = QString(),
                     const QString&  button2Text         = QString(),
                     int             defaultButtonNumber = 0,
                     int             escapeButtonNumber  = -1);
   void  scrollable (const QString&  caption,
                     const QString&  text);
signals:
   void  setResult (int  result);
protected:
   QWidget*  parent;
};

#endif
